Name:		ctapi-cyberjack
Summary:	CT-API 1.1 driver for REINER SCT cyberjack USB chipcard reader
Version:	2.0.8
Release:	14%{?dist}
Requires:	%{_libdir}/ctapi
#For FC>4
#BuildRequires:	libusb-devel readline-devel pcsc-lite-devel >= 1.3.0
#For FC4
BuildRequires:  libusb-devel readline-devel
URL:		http://support.reiner-sct.de/downloads/LINUX/V2.0.8/ctapi-cyberjack-2.0.8.tar.bz2

License: 	LGPL
Group: 		Development/Libraries
Source: 	%{name}-%{version}.tar.bz2
Patch0:		ctapi-cyberjack_MakefileCtAPI.patch
Patch1:		ctapi-cyberjack_MakefilePCSC.patch
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#for FC4
%define readers_dir %{_libdir}/readers
#for FC>4
#%%define readers_dir %(pkg-config libpcsclite --variable=usbdropdir)

%package devel
Summary:	Development files for libctapi-cyberjack
Requires:	%{name} = %{version}
Group:		Development/Libraries

%package pcsc
Summary:	PC/SC Module
Requires:	pcsc-lite 
Group:          Development/Libraries
Provides:	pcsc-ifd-handler

%description
REINER SCT cyberJack pinpad/e-com USB user space driver

This package includes the CT-API driver for the cyberJack pinpad/e-com
USB chipcard reader.

The kernel side driver is included in the official linux kernel starting
with version 2.4.6.

For more information regarding installation under Linux see the README.txt
in the documentation directory, esp. regarding compatibility with host
controllers.

For more information about the reader, software updates and a shop see
http://www.reiner-sct.com

			WARNING 
Use the tool ctsh only when you know what you are doing!!!
Or you can damage your SmartCard!!!

			Hint
When using the CT-API lib you must first stop the PC/SC daemon,
when you use it.

%description devel
Development files for libctapi-cyberjack

%description pcsc
Files for the PC/SC system.

%prep
%setup -q -n %{name}-%{version}

#fix path for the driver lib the config file 
	sed -i "s\/usr/lib/readers/libcyberjack_ifd.so\%{readers_dir}/libcyberjack_ifd.so\1" \
		etc/reader.conf 

#fix reader.conf for FC>4
	#sed -i "s\REINERSCT_CYBERJACK_USB\/dev/null\1" etc/reader.conf

%patch0 -p1 
%patch1 -p1

%build
#make %{?_smp_mflags} will fail!!!
make 

%install
rm -rf $RPM_BUILD_ROOT

# CT-API
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ctapi
mkdir -p $RPM_BUILD_ROOT%{_includedir}/ctapi-cyberjack
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 ctapi/libctapi-cyberjack.so $RPM_BUILD_ROOT%{_libdir}/ctapi/libctapi-cyberjack.so
install -m 644 ctapi/include/ctapi.h $RPM_BUILD_ROOT%{_includedir}/ctapi-cyberjack/ctapi.h
install -m 755 tools/cjgeldkarte $RPM_BUILD_ROOT%{_bindir}/cjgeldkarte
install -m 755 tools/ctsh $RPM_BUILD_ROOT%{_bindir}/ctsh

# PC/SC
mkdir -p $RPM_BUILD_ROOT%{readers_dir}
install -m 755 pcsc/libcyberjack_ifd.so $RPM_BUILD_ROOT%{readers_dir}/libcyberjack_ifd.so
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
install -m 444 etc/reader.conf $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d/cyberjack.conf

%post pcsc
#register PC/SC driver  and restart daemon
/sbin/service pcscd condrestart||: 

%postun pcsc
#unregister PC/SC driver and restart daemon
/sbin/service pcscd condrestart||:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT* 
%doc doc/README.txt
%doc doc/README.pdf
%doc doc/README.html

%defattr(-,root,root,-)
# CT-API
%{_libdir}/ctapi/libctapi-cyberjack.so
%{_bindir}/cjgeldkarte
%{_bindir}/ctsh

%files pcsc
# PC/SC
%defattr(755,root,root)
/%{readers_dir}/libcyberjack_ifd.so
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/reader.conf.d/cyberjack.conf

%files devel
%defattr(0644,root,root)
%{_includedir}/ctapi-cyberjack/ctapi.h

%changelog 
* Sun May 28 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-14%{?dist}
- Add "Provides: pcsc-ifd-handler" to the PC/SC part(Bug 193323).

* Thu May 11 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-13%{?dist}
- rename -soname for the PC/SC part from libcyberjack_ifd.so.0 to
  libcyberjack_ifd.so
- fix place for the comments of /sbin/service pcscd condrestart

* Wed May 10 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-12%{?dist}
- fix comments for %%post/%%postun pcsc
- fix call of restart the PC/SC daemon
- move to the old version of dependency for the PC/SC package
- add -soname option in PS/SC driver

* Tue May 9 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-11%{?dist}
- remove comments at %%post and %%postun
- remove unneeded /usr/sbin/update-reader.conf call

* Mon May 8 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-10%{?dist}
- fix ldconfig for the PC/SC part
- fix dependency for the PC/SC package
- fix build dependency for the package.

* Mon May 8 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-9%{?dist}
- restart PC/SC daemon only when it run's
- fix CT-API version bug so that apps can find it in the ldcache via 
  libctapi-cyberjack.so
- add comment about using CT-API and PC/SC together

* Sun May 7 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-8%{?dist}
- add requirement of the ctapi dir under %{_libdir}
- the CT-API lib lives now under %{_libdir}/ctapi
- reenable link the ctapi driver static in the PC/SC part
- run ldconfig after install/uninstall

* Mon May 1 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-7%{?dist}
- fix permission of ctapi-cyberjack-2.0.8.tar.bz2 and ctapi-cyberjack.spec
- fix permisson of the PC/SC config file
- restart PC/SC daemon after remove the PS/SC driver

* Sun Apr 30 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-6%{?dist}
- replace if statements with comments
- replace german to english comments
- fix the makefile for the CT-API lib
- correct naming the libs CT-API and PS/SC 
- rename package PS/SC to pcsc
- replace RPM_BUILD_ROOT 
- fix doc
- add warning for the tool ctsh

* Thu Apr 27 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-5%{dist}
- fix owner of lib's
- add PC/SC fix for FC5
- restart pcscd

* Thu Apr 27 2006 Frank Büttner  <frank-buettner@gmx.net> - 2.0.8-4%{dist}
- change permisson of all lib's to 0755
- rename lib files to support more reader's
- fix the path of the CT-API part and the devel file
- support FC4 and FC5

* Sat Apr 15 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-3%{dist}
- remove makefile workaround

* Sat Apr 15 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-2%{dist}
- remove packager
- remove hardcodet Fedora Tag
- rename file from ctapi-cyberjack-version to ctapi-cyberjack
- modify source URL
- fix clean section

* Sat Apr 08 2006 Frank Büttner <frank-buettner@gmx.net> - 2.0.8-1.FC4
- start for Fedora
- sepperate the PC/SC part

* Wed Mar 02 2005 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.8-1
- fix double-free bug
- update support email address to reflect current one
- fix 'make install' target
- add '-lusb' to libcyberjack_ifd (Martin Preuss)

* Sun Jan 30 2005 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.6-1
- add magic to automatically put current version number in specfile
- add 0x800 e-com direct-ttyUSBx open hack
- fix initialization errors (Martin Preuss)
- simplified Makefile System (Martin Preuss)
- Added make target "install" (Martin Preuss)
- Fixed the name of the CTAPI driver loaded by "cjgeldkarte"
- Fix typos in README.xml

* Sun Dec 19 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.5-1
- add functionality to beep at keypress
- introduce CJCTAPI_NO_KEYBEEP environment variable

* Wed Nov 17 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.4-2
- add x86_64 -fPIC patch for pcsc
- add x86_64 64bit data type patch

* Tue Nov 16 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.4-1
- fixes: gcc-2.95 compile, cjgeldkarte-getopt, SIGSEGV / ctapiClose

* Tue Nov 02 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.2-1
- fix libusb linking dependency

* Wed Aug 25 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.1-1
- Bugfixes in REINER-SCT driver for pinpad_a

* Fri Aug 13 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.0-0beta1
- final new usb ProductID (0x300) for pp_a
- Include build of pcsc library
- Include ctsh
- Include static library into -devel

* Wed Aug 11 2004 - Harald Welte <hwelte@hmw-consulting.de>
+ ctapi-cyberjack-2.0.0-0beta
- Update to new major release including pinpad_a support
- New dual driver shared library architecture

* Tue Mar 18 2003 - Matthias Bruestle <m@mbsks.franken.de>
- Devices are created, when not present.

* Sun May 03 2002 - Matthias Bruestle <m@mbsks.franken.de>
- Added ctsh.

* Fri Dec 21 2001 - Matthias Bruestle <m@mbsks.franken.de>
- Added cjgeldkarte.

* Fri Dec 14 2001 - Matthias Bruestle <m@mbsks.franken.de>
- Added some polish.

* Sat Dec 01 2001 - Matthias Bruestle <m@mbsks.franken.de>
- Added PC/SC IFD handler.

* Sun Aug 26 2001 - mge@suse.de
- adopted package to SuSE build system

* Sun Jun 03 2001 - Matthias Bruestle <m@mbsks.franken.de
- First version of the SPEC file.
